#
# TODO:
#	- separate GUI from CLI and libs
#	- devel subpackage if useful some day
#
Summary:	CD/DVD quality checker
Summary(pl.UTF-8):	Tester jakości płyt CD/DVD
Name:		qpxtool
Version:	0.7.1_002
Release:	5
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/qpxtool/%{name}-%{version}.tar.bz2
# Source0-md5:	755321a0196b16d06857550aac74ff50
Patch0:		%{name}-libpng15.patch
URL:		http://qpxtool.sourceforge.net/
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QPxTool gives you access to all available Quality Checks (Q-Checks) on
written and blank media, that are available for your drive. This will
help you to find the right media and the optimized writing speed for
your hardware, which will increase the chance for a long data
lifetime.

%description -l pl.UTF-8
QPxTool udostępnia wszystkie możliwe testy jakości (Q-Checks) na
zapisanym i czystym nośniku, jakie są dostępne w posiadanym napędzie.
Pomaga to odnaleźć odpowiedni nośnik i zoptymalizować prędkość zapisu
dla sprzętu, co zwiększy szanse długiego życia zapisanych danych.

%prep
%setup -q
%patch0 -p1
sed -e 's|lrelease|lrelease-qt4|' -i configure

%build
./configure \
	--prefix="%{_prefix}" \
	%{?debug:enable-debug}
CXXFLAGS="%{rpmcflags}" \
CXX="%{__cxx}" \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SupportedDevices TODO slack-desc
%attr(755,root,root) %{_bindir}/[cfqr]*
%attr(755,root,root) %{_libdir}/libq*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libq*.so.0
%attr(755,root,root) %{_libdir}/%{name}
%attr(755,root,root) %{_sbindir}/pxfw
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale
%lang(de) %{_datadir}/%{name}/locale/%{name}.de_DE.qm
%lang(ru) %{_datadir}/%{name}/locale/%{name}.ru_RU.qm
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_mandir}/man1/[cfqr]*.1*
%{_mandir}/man8/pxfw.8*
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qpxtool.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a9c5728
- release 5 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> cd2a90f
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> adc0fbd
- pass CXX, CXXFLAGS
- release 4 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b19ead5
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d9f8bae
- release 2

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 3f43b5e
- BR: qt4-build

* Thu Aug 26 2010 Tomasz Pala <gotar@pld-linux.org> 2252099
- upgraded to Qt4-based 0.7.1_002

* Tue Jun 16 2009 Tomasz Pala <gotar@pld-linux.org> 2585846
- pass LIBDIR for x86_64

* Tue Jun 16 2009 Tomasz Pala <gotar@pld-linux.org> 896eafc
- patches against 2.6.23+ kernels (headers and SCSI)

* Tue Jun 16 2009 Tomasz Pala <gotar@pld-linux.org> ea96c62
- one more patch against 2.6.23+
  http://www.geocities.com/linux_piewie/qpxtool-0.6.1-libata.txt

* Tue Jun 16 2009 Tomasz Pala <gotar@pld-linux.org> 8964b12
- http://bugs.gentoo.org/show_bug.cgi?id=196321

* Fri May 30 2008 Jakub Bogusz <qboosh@pld-linux.org> dd7e400
- pl desc

* Wed Jan 23 2008 Tomasz Pala <gotar@pld-linux.org> 26d55ad
- initial PLD release

